apiVersion: apps/v1
kind: Deployment
metadata:
  name: npm
  labels:
    app: npm
spec:
  replicas: 1
  selector:
    matchLabels:
      app: npm
  
  # Pod template
  template:
    metadata:
      labels:
        app: npm
    spec:
      containers:
        - name: test
          image: devendranathashok:1.0.1
          imagePullPolicy: Always
          ports:
            - containerPort: 80
      imagePullSecrets:
        - name: regcred
---
apiVersion: v1
kind: Service
metadata:
  name: npm
  labels:
    app: npm
spec:
  type: ClusterIP
  ports:
    - port: 80
      targetPort: 80
      protocol: TCP
      name: http
  selector:
      app: npm